WebM Codec SDK

Data Fields
vpx_svc_ref_frame_config Struct Reference
Supported Codecs » VP8 » WebM VP8/VP9 Encoder

vp9 svc frame flag parameters. More...

`#include <vp8cx.h>`

## Data Fields
int | frame_flags [5]
int | lst_fb_idx [5]
int | gld_fb_idx [5]
int | alt_fb_idx [5]

## Detailed Description

vp9 svc frame flag parameters.

This defines the frame flags and buffer indices for each spatial layer for svc encoding. This is used with the VP9E_SET_SVC_REF_FRAME_CONFIG control to set frame flags and buffer indices for each spatial layer for the current (super)frame.

## Field Documentation

## ◆ frame_flags

int vpx_svc_ref_frame_config::frame_flags[5]

Frame flags.

## ◆ lst_fb_idx

int vpx_svc_ref_frame_config::lst_fb_idx[5]

Last buffer index.

## ◆ gld_fb_idx

int vpx_svc_ref_frame_config::gld_fb_idx[5]

Golden buffer index.

## ◆ alt_fb_idx

int vpx_svc_ref_frame_config::alt_fb_idx[5]

Altref buffer index.

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h